/*************************************************************************
 *
 *    Used with ICCARM and AARM.
 *
 *    (c) Copyright IAR Systems 2007
 *
 *    File name      : main.c
 *    Description    : Main module
 *
 *    History :
 *    1. Data        : May 26, 2007
 *       Author      : Stanimir Bonev
 *       Description : Create
 *
 *
 *    $Revision: 1.6 $
 *
 **************************************************************************/
#include "includes.h"

/*************************************************************************
 * Function Name: main
 * Parameters: none
 * Return: int
 *
 * Description: Main subroutine
 *
 *************************************************************************/
int main (void)
{
  LED_INIT();
  LED_OFF();
  // HID USB
  HidInit();
  // Soft connection enable
  USB_ConnectRes(TRUE);
  __enable_interrupt();

  // Main loop
  while(1)
  {
    if(UsbCoreReq(UsbCoreReqSpeed))
    {
      LED_ON();
    }
    else
    {
      LED_OFF();
    }
  }
}
